﻿using System;
using System.Diagnostics;

namespace CPUInfoDemo
{
    using System.IO;
    using System.Threading;
    using System.Threading.Tasks;

    class Program
    {
     
        static void Main(string[] args)
        {
        
            Utility utility = new Utility();
            HardDiskInfo info=   utility.GetHardDiskInfoByName("d");
            Console.WriteLine( "当前磁盘名："+info.Name );
            Console.WriteLine("可用空间："+info.FreeSpace+" G" );
            Console.WriteLine("总共空间："+info.TotalSpace+" G" );
            var infos=   utility.GetAllHardDiskInfo();
            Task.Factory.StartNew(
                () =>
                    {
                        while (true)
                        {
                            Console.Write("Cpu使用情况:"+utility.GetCpuPercent()+"%   ");
                            Console.WriteLine("内存使用情况:"+utility.GetMemoryPercent()+"%");
                            Thread.Sleep(1000);
                        }
                    });
          
            Console.ReadKey();
        }
    }
}
